> For the complete documentation index, see [llms.txt](https://docs.itgrix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.itgrix.com/additional-functions/configuring-asterisk-to-use-asterphone-with-pjsip.md).

# Configuring Asterisk to Use Asterphone with PJSIP

### Global settings

Settings - Asterisk SIP settings

<table data-full-width="false"><thead><tr><th width="367">SIP settings (chan_pjsip)</th><th></th><th data-hidden></th><th data-hidden></th></tr></thead><tbody><tr><td>Misc PJSip Settings</td><td>taskprocessor overload trigger = pjsip_only</td><td></td><td></td></tr><tr><td>TLS/SSL/SRTP Settings</td><td>certificate manager = example.simple.test<br>ssl method = tlsv1_2</td><td></td><td></td></tr><tr><td>wss</td><td>wss - 0.0.0.0 - All = No<br>wss - 10.0.0.133 - ens18 = Yes</td><td></td><td></td></tr></tbody></table>

Settings - Advanced Settings

| Asterisk Builtin mini-HTTP server |
| --------------------------------- |
| Force WebSocket Mode = pjsip      |

### Add extension

Connectivity - Add Extension - Add New \[chan\_pjsip] Extension

| General       |                                                                                                                                                                                                                                                                                                          |
| ------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Add Extension | <p><strong>extension = 100</strong> (internal phone number)</p><p><strong>display name = 100</strong> (must match the extension - the number that will be displayed when the call is made)</p><p><strong>secret</strong> - password, filled in automatically, required field, you can enter your own</p> |

<table><thead><tr><th width="374">Advanced</th><th></th></tr></thead><tbody><tr><td>Add Extension</td><td><p><strong>enable avpf = true</strong><br><strong>i</strong>f you leave it set to “no,” the connection is established successfully, and the call reaches the recipient, but is immediately disconnected<br><br><strong>enable ICESupport = true</strong></p><p>if you leave it set to “no,” the connection is established successfully, and the call reaches the recipient, but is immediately disconnected<br><br><strong>enable rtcpMux = true</strong></p><p>if you leave it set to “no,” the connection is established successfully, and the call reaches the recipient, but is immediately disconnected<br><br><strong>media encryption = dtls-srtp</strong> <strong>(not recommended)</strong><br>сonfiguring media stream encryption<br><br><strong>enable dtls = yes</strong><br>use encryption<br><br><strong>use certificate &#x3C;example>.com (select current)</strong><br>select a certificate</p></td></tr></tbody></table>

| Tab Advanced → Section Edit Extension |                       |
| ------------------------------------- | --------------------- |
| Transport                             | All - WSS Primary     |
| Enable AVPF                           | Yes                   |
| Force AVP                             | Yes                   |
| Enable ICE Support                    | Yes                   |
| Enable rtcp Mux                       | Yes                   |
| Enable Encryption                     | Yes (SRTP only)       |
| Section DTLS                          |                       |
| Enable DTLS                           | Yes (there should be) |
| Use Certificate                       | \<example>.com        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.itgrix.com/additional-functions/configuring-asterisk-to-use-asterphone-with-pjsip.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
